Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


existe-t'il un plugin calepinage ? Empty
Ton bloc notes
Derniers sujets
» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Aujourd'hui à 0:11

» [ SKETCHUP plugins ] format ASM
par Lionscov Hier à 23:15

» [ FORUM ] Nouveau logo pour la section ArchicaT
par Coulou Hier à 17:57

» [ ARCHICAD-OBJETS GDL ] Tutorial et Glossaire pour apprendre le GDL
par Coulou Hier à 17:05

» [ TWINMOTION ] animation des objets synchro avec la camera
par AK40Cess Hier à 15:22

» [ TWINMOTION ] Transparence
par AK40Cess Hier à 14:07

» [ SKETCHUP Layout ] Recherche Hachure Isolant
par JDD Jeu 17 Juin 2021 - 13:08

» [ ARCHICAD-OBJETS GDL ] Bardage bois horizontal à tester / Accessoire de mur
par freroil Jeu 17 Juin 2021 - 11:00

» [ ARCHICAD-OBJETS GDL ] [ LIER UN OBJET A UN AUTRE ]
par Coulou Jeu 17 Juin 2021 - 9:03

» [AUTRES LOGICIELS] MagicaVoxel!
par Pilou Mer 16 Juin 2021 - 23:34

» [ PRESENTATION ] Hello tout le monde
par Nos Mer 16 Juin 2021 - 15:58

» [ SKETCHUP composants dynamiques ] probléme de matière
par simjoubert Mar 15 Juin 2021 - 17:41

» [ ENSCAPE ] reglage pour un miroir
par vick Mar 15 Juin 2021 - 11:44

» [ ARCHICAD ] Baie galandage 2V qui coulissent du même côté - AC21
par kanadox Mar 15 Juin 2021 - 11:44

» [ AUTRES LOGICIELS ] Technologie SDF sortie!
par Pilou Lun 14 Juin 2021 - 22:33

» [ ARCHICAD ] [ Cartouche invisible ]
par Coulou Lun 14 Juin 2021 - 13:48

» [ SKETCHUP généralité ] Telechargement Sketchup 2018 PRO en Francais
par tenrev Lun 14 Juin 2021 - 13:13

» [ SKETCHUP plugins ] Import Light Tracer Render pour Sketchup
par pierrearchi Lun 14 Juin 2021 - 11:15

» [ SKETCHUP tutos ] Nouveautés de la mise à jour 2021.1 de Sketchup
par jerryvento Ven 11 Juin 2021 - 11:56

» [ SKETCHUP généralité ] mise à jour 2021.1 est désormais disponible pour SketchUp Pro
par jerryvento Ven 11 Juin 2021 - 11:54

» [ ARCHICAD ] O.B. dans fenêtre horizontale à châssis multiples 24
par Coulou Mer 9 Juin 2021 - 15:32

» [ SKETCHUP plugins ] Parametric Modeling
par tenrev Mer 9 Juin 2021 - 12:12

» [ ARCHICAD-IMPORT/EXPORT ] [ OMBRE SUR CALQUE ]
par freroil Mer 9 Juin 2021 - 11:51

» [ UNREAL ENGINE ] Formation Gratuite 5 heures pour Débutant! (en anglais)
par tenrev Mar 8 Juin 2021 - 13:53

» [ SKETCHUP plugins ] SubD Analyse Maillage Temps Réel (LiveMesh Analysis)
par tenrev Sam 5 Juin 2021 - 18:26

» Licence Architech.PC 2014
par tenrev Ven 4 Juin 2021 - 17:01

» [ MATOS INFORM. ] Scanner 3D
par Coulou Ven 4 Juin 2021 - 9:04

» [ SKETCHUP plugins ] LOTT (Lord of the Toolbars BY Fredo)
par Pilou Jeu 3 Juin 2021 - 14:59

» [ FORUM ] bouton embed (integrer)
par Coulou Mer 2 Juin 2021 - 9:10

» [ ARCHICAD ] Gérer la résolution de courbure d'une coque ou forme
par Coulou Mar 1 Juin 2021 - 14:28

» [ SKETCHUP plugins ] Localisation des Objets/Surfaces comportant un matériau donné
par JDD Lun 31 Mai 2021 - 19:11

» [ SKETCHUP plugins ] Fredo Corner et Round corner
par jerryvento Lun 31 Mai 2021 - 11:35

» [ SKETCHUP tutos / Extensions] Plier une forme (1er TUTO) avec extensions Roundcorner et JointPushPull de Fredo6
par jerryvento Lun 31 Mai 2021 - 11:26

» [ SKETCHUP plugins / Extensions] Plier une forme (1er TUTO) avec extensions Roundcorner et JointPushPull de Fredo6
par jerryvento Lun 31 Mai 2021 - 11:25

» [ SKETCHUP ] symboles architecturaux layout
par tit-al Lun 31 Mai 2021 - 9:32

existe-t'il un plugin calepinage ?

Voir le sujet précédent Voir le sujet suivant Aller en bas

yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Mer 19 Oct 2011 - 9:33

bonjour

tout est dans le titre,
j'aimerai réaliser un sol en carrelage avec joints.
pouvoir paramétrer la taille des carreaux et des joints.

existe-t'il un plugin ? ou avez-vous une technique ?

yayak
mj23
mj23
Moulin à parole
Moulin à parole
Masculin Date d'inscription : 13/10/2011
Nombre de messages : 400
Points : 468
Emploi : Architecte DPLG

Messagemj23 Mer 19 Oct 2011 - 9:50

salut je pense que le plus simple reste simplement d'appliquer une texture que tu peux créer toi-même sur toshop par exemple... pour la dimensionner c'est direct dans l'édition de matière de SU
Ensuite si tu passes par un logiciel de rendu il te suffit de mettre du bump pour donner de la profondeur à tes joints clindoeil
Bon courage aurevoir
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Mer 19 Oct 2011 - 13:36

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:salut je pense que le plus simple reste simplement d'appliquer une texture que tu peux créer toi-même sur toshop par exemple... pour la dimensionner c'est direct dans l'édition de matière de SU
Ensuite si tu passes par un logiciel de rendu il te suffit de mettre du bump pour donner de la profondeur à tes joints clindoeil
Bon courage aurevoir
oui merci mj23 je suis daccord avec toi, mais je voudrais vraiment modéliser mon carrelage ... :triste
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17881
Points : 30248
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Mer 19 Oct 2011 - 16:25

tu as la version pro yayak ? il y a les composants dynamiques et justement un petit tuto dans ce sens ici

[Vous devez être inscrit et connecté pour voir ce lien]


-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Mer 19 Oct 2011 - 16:32

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:tu as la version pro yayak ? il y a les composants dynamiques et justement un petit tuto dans ce sens ici

[Vous devez être inscrit et connecté pour voir ce lien]


oui la pro Tenrev

merci pour le lien ! je vais me pencher dessus aurevoir
eddy
eddy
V.I.P.
V.I.P.
Masculin Humeur : sa dépend
Date d'inscription : 28/10/2009
Nombre de messages : 1081
Points : 1292
Localisation : Chez les coucous
Emploi : attend sa retaite

Messageeddy Mer 19 Oct 2011 - 19:45

Salut à tous, il y avais un plugin de Christophe Plassais: CompOnSurface en français dépose de composant sur une surface, je ne trouve plus le poste qui en parle. saispas saispas hmm hmm

-------------------------------------------------------------------------------------------------------------------------
@+++ Eddy [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image]
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Mer 19 Oct 2011 - 23:18

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Salut à tous, il y avais un plugin de Christophe Plassais: CompOnSurface en français dépose de composant sur une surface, je ne trouve plus le poste qui en parle. saispas saispas hmm hmm

trouver [Vous devez être inscrit et connecté pour voir ce lien]

MERCI aurevoir
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Mer 19 Oct 2011 - 23:41

plugin essayer mais il me semble que ça ne fonctionne que sur sur une surface simple tel que carré ou rectangle lorsque la forme est un L par exemple, le calepinage dépasse. saispas
qui a pu tester ?

[Vous devez être inscrit et connecté pour voir cette image]
BEAR17
BEAR17
V.I.P.
V.I.P.
Masculin Humeur : En progrès ;-)
Date d'inscription : 28/03/2011
Nombre de messages : 1164
Points : 1825
Localisation : Bourgogne
Emploi : Conseil

MessageBEAR17 Mer 19 Oct 2011 - 23:49

Bonsoir yayak,

Perso je fais un carreau aux dimensions puis le plugin de fredo06 roundcorner
Puis je copie avec la touche crtl puis la commande *X
Une fois que j'ai fait une ligne ou une colonne... Je groupe et avec ce groupe, je copie avec la touche crtl puis la commande *X

Bref un travail long mais réalisable.

Si un plug peu faire tout ça, il ne faut pas s'en priver rigole

Bear
eddy
eddy
V.I.P.
V.I.P.
Masculin Humeur : sa dépend
Date d'inscription : 28/10/2009
Nombre de messages : 1081
Points : 1292
Localisation : Chez les coucous
Emploi : attend sa retaite

Messageeddy Jeu 20 Oct 2011 - 0:11

re, oui il fait sa. Merci pour le lien yayak. rigole

-------------------------------------------------------------------------------------------------------------------------
@+++ Eddy [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image]
BEAR17
BEAR17
V.I.P.
V.I.P.
Masculin Humeur : En progrès ;-)
Date d'inscription : 28/03/2011
Nombre de messages : 1164
Points : 1825
Localisation : Bourgogne
Emploi : Conseil

MessageBEAR17 Jeu 20 Oct 2011 - 0:25

Oui bravo

Ce plug a des chances de devenir un de mes indispensables plugins.

Merci.

Bear
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Jeu 20 Oct 2011 - 9:02

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:plugin essayer mais il me semble que ça ne fonctionne que sur sur une surface simple tel que carré ou rectangle lorsque la forme est un L par exemple, le calepinage dépasse. saispas
qui a pu tester ?

[Vous devez être inscrit et connecté pour voir cette image]

Christophe Plassais si tu nous entends ... sos
eddy
eddy
V.I.P.
V.I.P.
Masculin Humeur : sa dépend
Date d'inscription : 28/10/2009
Nombre de messages : 1081
Points : 1292
Localisation : Chez les coucous
Emploi : attend sa retaite

Messageeddy Jeu 20 Oct 2011 - 9:10

re, moi j'ai tester sa marche que sur des surfaces carré et rectangulaire. saispas saispas , et Christophe sa fait un bail que je ne le vois plus sur le forum. sos sos

-------------------------------------------------------------------------------------------------------------------------
@+++ Eddy [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image]
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17881
Points : 30248
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Jeu 20 Oct 2011 - 10:07

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:re, moi j'ai tester sa marche que sur des surfaces carré et rectangulaire. saispas saispas , et Christophe sa fait un bail que je ne le vois plus sur le forum. sos sos

salut Eddy , christophe j'ai vu qu'il est passé sur le forum hier soir, mais il n a pas du lire le sujet, envoie lui un MP
je sais qu'il a beaucoup moins de disponibilité qu'avant .....

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
eddy
eddy
V.I.P.
V.I.P.
Masculin Humeur : sa dépend
Date d'inscription : 28/10/2009
Nombre de messages : 1081
Points : 1292
Localisation : Chez les coucous
Emploi : attend sa retaite

Messageeddy Jeu 20 Oct 2011 - 12:50

Salut Jack, ok je vais lui envoyer MP. rigole rigole

-------------------------------------------------------------------------------------------------------------------------
@+++ Eddy [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image] [Vous devez être inscrit et connecté pour voir cette image]
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Sam 22 Oct 2011 - 12:11

Salut à vous tous aurevoir

Désolé et toutes mes excuses pour cette désertion à peine correcte mais je commence juste à refaire surface, j'avais oublié que le travail était aussi accaparant et aussi fatiguant...


Pour répondre à Yayak, si j'ai du faire une version pour forme complexe, je regarde ça....

@+

Christophe


Dernière édition par c.plassais le Mar 10 Jan 2012 - 21:17, édité 2 fois
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Sam 22 Oct 2011 - 13:21

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Salut à vous tous aurevoir

Désolé et toutes mes excuses pour cette désertion à peine correcte mais je commence juste à refaire surface, j'avais oublié que le travail était aussi accaparant et aussi fatiguant...


Pour répondre à Yayak, si j'ai du faire une version pour forme complexe, je regarde ça....

@+

Christophe

bienrevenue Christophe et merci pour ton dévouement
ROBIN
ROBIN
Moulin à parole
Moulin à parole
Masculin Date d'inscription : 16/05/2010
Nombre de messages : 349
Points : 406
Localisation : Marseille
Emploi : Tailleur de pierre/Marbrier/graveur ornementaliste

MessageROBIN Sam 22 Oct 2011 - 14:35

Pour ceux qui aiment les textures:
[Vous devez être inscrit et connecté pour voir ce lien]

malheureusement en jpeg moi je cherche en skp.
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Sam 22 Oct 2011 - 18:02

Re,

j'ai retrouvé une version pas très aboutie, mais peut-être un bon début.
Voila ce que cela donne



@+

Christophe


Dernière édition par c.plassais le Sam 22 Oct 2011 - 19:46, édité 1 fois
yayak
yayak
V.I.P.
V.I.P.
Masculin Humeur : www.lunik-be.com
Date d'inscription : 13/02/2010
Nombre de messages : 987
Points : 1231
Age : 45
Localisation : BAS-RHIN
Emploi : Maître d'Oeuvre
http://www.lunik-be.com

Messageyayak Sam 22 Oct 2011 - 18:41

c'est exactement cela Christophe, mais comment réagit il lorsque le calepinage ne tombe pas pile en mutilple de carreaux ?

et comment réagit il avec des formes plus complexes ?

aurevoir yayak
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 17881
Points : 30248
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Sam 22 Oct 2011 - 18:48

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Re,

je retrouvé une version pas très aboutie, mais peut-être un bon début.
Voila ce que cela donne

ha ça fait plaisir de te revoir sur le forum , tu nous manques pleure la section ruby et plugin est moins active , j'espère que tu vas bien aurevoir


Dernière édition par Tenrev le Dim 23 Oct 2011 - 10:57, édité 1 fois

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

[Vous devez être inscrit et connecté pour voir cette image]
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Dim 23 Oct 2011 - 8:22

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:c'est exactement cela Christophe, mais comment réagit il lorsque le calepinage ne tombe pas pile en mutilple de carreaux ?

et comment réagit il avec des formes plus complexes ?

aurevoir yayak


Tu as mis le doigt dessus, c'est toute la difficulté hmm

La logique voudrait que l'on découpe le composant par un ou deux plans verticaux, avec SU8 PRO c'est un peu plus simple il suffit d'intergrer les opérations sur solide (union, soustraire, diviser...), mais avec les autres versions il faudrait pouvoir intregrer les plugins BoolTools (mais il est payant et protégé) ou OSCoolean (gratuit et protégé)...

Je te passe le code pour faire des essais, voire si cela vaut le cout d'aller plus loin


Code:

# Designed December 2010 by ChrisP

# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for commercial purpose is forbidden:

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name        :  ChrisP_CompOnSurface
# Original Date  :  24 Fev 2010 version 0.0
# Type        :  Plugin
# Description  :  Put Component on Surface
# Usage        :  Click - Plugin Menu or click right context
# Version 0.1.2
#---------------------------------------------------------------------------------------


require 'sketchup.rb'

module Deplace_comp

# Boite Dialogue ########################################################################################################################
    def self.dialog_select
    prompts = ["Saisir tolérance chute", "Chevauchement longueur", "Chevauchement largeur", "Elevation", "Rotation composant", "Rotation totalite"]
      val_defaut = [@long_comp, 0.0, 0.0, 0, 0, 0]
      results = UI.inputbox prompts, val_defaut, "Parametres"
      return if not results
      @mini_chute_long, @chevauchement_long, @chevauchement_larg, @elevation, @rotation_comp, @rotation_tot  = results
    end
#######################################################################################################################################
    def self.place_comp_select
          variables
            if(@selection.length == 1)
                @surface = @selection[0]
                if @surface.class != Sketchup::Face
                      UI.messagebox "L'élément sélectionné n'est pas une face"
                end
            else
                UI.messagebox "Vous devez selectionner une face"
            end
          @larg = @surface.bounds.height
          @long = @surface.bounds.width         
          point_mini = @surface.bounds.min
          point_mini = point_mini.to_a
          @point_depart = []
          @point_depart[0] = point_mini[0]
          @point_depart[1] = point_mini[1]
          @point_depart[2] = point_mini[2]
          @point_z_test = @point_depart[2] + 10
          menu_rep
          calc_long_larg_comp
          dialog_select
          pose_comp

    end

## Calculs intermédiaire ####################################################################################################

    def self.calc_long_larg_comp
          @long_comp = @componentdefinition.bounds.width
          @larg_comp = @componentdefinition.bounds.height
          @corner0_comp = @componentdefinition.bounds.corner(0)
          @corner3_comp = @componentdefinition.bounds.corner(3)
          @diag_vector_comp = @corner0_comp.vector_to @corner3_comp
          @diag_vector_comp = @diag_vector_comp.normalize
          @diag_comp = @corner0_comp.distance @corner3_comp
    end
###############################################################################################################################################
          def self.variables
          @model = Sketchup.active_model
          @entities = @model.active_entities
          @definitions = @model.definitions
          @selection = @model.selection
          @unite_composant = 1.cm
          end
##############################################################################################################################################
          def self.menu_rep
          @nom_comp = UI.openpanel "Choix du composant", "C:\\Program Files\\Google\\Google SketchUp 7\\Components\\Charpente\\Divers", "*.skp"
          @componentdefinition = @definitions.load @nom_comp
          end
##############################################################################################################################################
 def self.fin_boucle_long
        @boucle_long = @boucle_long + @long_comp
        @point_depart[0] = @point_depart[0] - @chevauchement_long
       @point_depart[2] = @point_depart[2] + @elevation
       @long = @long + @chevauchement_long
   end   
##############################################################################################################################################
    def self.pose_comp

          @axe_rotation = [0, 1, 0]
          @chevauchement_long = @chevauchement_long * @unite_composant
          @chevauchement_larg = @chevauchement_larg * @unite_composant
          @elevation = @elevation * @unite_composant

          @rotation_comp = - @rotation_comp.degrees
          @rotation_tot = - @rotation_tot.degrees
          @axe_rotation = [0, 1, 0]

          @boucle_long = 0
          @boucle_larg= 0
          @chute_long = 0
          @deport_dep = 0
          @point_depart[3] = @point_depart[0]
          @point_depart[4] = @point_depart[1]
          @point_depart[5] = @point_depart[2]

          @model.start_operation "Pose de composant"
          @larg_ini = @larg
          @long_ini = @long
                while(@boucle_larg < @larg)
                    while(@boucle_long < @long)
                        @point_dep_pose = [@point_depart[0] + @boucle_long, @point_depart[1] + @boucle_larg, @point_depart[2] ]                       
                        @ray_surface = [Geom::Point3d.new(@point_depart[0] + @boucle_long + 0.01, @point_depart[1] + @boucle_larg + 0.01, @point_depart[2] + 0.01 ), Geom::Vector3d.new(0,0,-1)]
                        @test_surface = @model.raytest @ray_surface
                        @test_surface = 0 if not(@test_surface)
                        @ray_long = [Geom::Point3d.new(@point_depart[0] + @boucle_long, @point_depart[1] + @boucle_larg + 0.01, @point_depart[2]), Geom::Vector3d.new(1,0,0)]
                        @test_long = @model.raytest @ray_long
                        @test_long = 999999 if not(@test_long)
                        @test_long01 = @test_long[0]
                        @test_long01 = 999999 if not(@test_long01)
                        @test_long02 = @test_long01[0]
                        @test_long02 = 999999 if not(@test_long02)
                        @test_long02 = 999999 if(@test_long02 == 1)
                        @ray_larg = [Geom::Point3d.new(@point_depart[0] + @boucle_long + 0.01, @point_depart[1] + @boucle_larg, @point_depart[2]), Geom::Vector3d.new(0,1,0)]
                        @test_larg = @model.raytest @ray_larg
                        @test_larg = 999999 if not(@test_larg)
                        @test_larg01 = @test_larg[0]
                        @test_larg01 = 999999 if not(@test_larg01)
                        @test_larg02 = @test_larg01[1]
                        @test_larg02 = 999999 if not(@test_larg02)
                        @test_larg02 = 999999 if(@test_larg02 == 0)
                        @ray_diag = [Geom::Point3d.new(@point_depart[0] + @boucle_long, @point_depart[1] + @boucle_larg, @point_depart[2]), Geom::Vector3d.new(@diag_vector_comp)]
                        @test_diag = @model.raytest @ray_diag                                               
                        @test_diag = 0 if not(@test_diag)
                        @test_diag01 = @test_diag[0]
                        @test_diag01 = 0 if not(@test_diag01)
                        (@test_diag01 == 0) ? (@distance = 999999) : (@distance = @point_dep_pose.distance @test_diag01)
                        ((@test_surface == 0) &&( @test_larg02 - @boucle_larg > @larg_comp) && (@test_long02 - @boucle_long > @long_comp) && (@distance > @diag_comp )) ? (fin_boucle_long;next) : (@test_surface == 0)                         
                       
                        ####################################################################################################                                                                                                                           
                        trans = Geom::Transformation.new @point_dep_pose
                        instance = @entities.add_instance @componentdefinition, trans
                        @centre_comp = instance.bounds.center
                                  if(@boucle_long + @long_comp > @long)
                                        @depassement = (@boucle_long + @long_comp) - @long
                                        @part_conserv = @long_comp - @depassement
                                        @coefficient = @part_conserv / @long_comp

                                  else
                                        @coefficient = 1.0
                                  end
                                  if(@boucle_larg + @larg_comp > @larg)
                                        @depassement1 = (@boucle_larg + @larg_comp) - @larg
                                        @part_conserv1 = @larg_comp - @depassement1
                                        @coefficient1 = @part_conserv1 / @larg_comp
                                  else
                                        @coefficient1 = 1.0
                                  end
                        etir_comp = Geom::Transformation.scaling @point_dep_pose, @coefficient, @coefficient1, 1.0
                        instance.transform!(etir_comp)
                       
                        rotation = Geom::Transformation.rotation @centre_comp, @axe_rotation, @rotation_comp
                        instance.transform!(rotation)
                        rotation1 = Geom::Transformation.rotation @centre_comp, @axe_rotation, @rotation_tot
                        instance.transform!(rotation1)
                       
                       fin_boucle_long
                    end
                    @boucle_long = 0
                    @point_depart[0] = @point_depart[3]
                    @point_depart[2] = @point_depart[5]
                    @long = @long_ini
                @boucle_larg = @boucle_larg + @larg_comp
                @point_depart[1] = @point_depart[1] - @chevauchement_larg
                @larg = @larg + @chevauchement_larg
                end
                @boucle_larg = 0
                @larg = @larg_ini

          @model.commit_operation

    end
   
## Chargement du menu ####################################################################################################

    def self.chargement_CompOnSurface

          UI.add_context_menu_handler do |context_menu|
         context_menu.add_separator
         context_menu.add_item("Deposer composants face selectionnee") { self.place_comp_select }
         end
    end

if !file_loaded? File.basename(__FILE__)
  chargement_CompOnSurface
  file_loaded File.basename(__FILE__)
end

end # FIn du module

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Dim 23 Oct 2011 - 8:26

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:
ha ça fait plaisir de te revoir sur le forum , tu nous manques pleure la section ruby et plugin est moins active , j'espère que tu vas bien aurevoir

Salut Jack, cela fait plaisir aussi amour

sachant que je ne dispose que d'un peu de temps le samedi et le dimanche....

@+

Chris
Fab
Fab
modérateur
modérateur
Masculin Humeur : Rester COOL......
Date d'inscription : 03/10/2008
Nombre de messages : 4775
Points : 5345
Age : 54
Localisation : Normandie
Emploi : Dessinateur en bâtiment et génie civil

MessageFab Lun 24 Oct 2011 - 15:13

[Vous devez être inscrit et connecté pour voir ce lien] a écrit:Salut à vous tous aurevoir
Désolé et toutes mes excuses pour cette désertion à peine correcte mais je commence juste à refaire surface, j'avais oublié que le travail était aussi accaparant et aussi fatigant...Christophe

Et voici le retour de notre "GENIE" de la programmation...très heureux de te retrouver Christophe...et bonne continuation. :icon_wink:

-------------------------------------------------------------------------------------------------------------------------
Dites-vous bien que dans la vie,ne pas reconnaître son talent,c'est favoriser la réussite des médiocres.  [Vous devez être inscrit et connecté pour voir cette image]
Autocad | Photoshop | Sketchup pro | The Panorama Factory | Easy Google Maps Downloader
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Lun 24 Oct 2011 - 21:02

Salut Fab aurevoir

loin d'être un génie fou1 , je disposais surtout de beaucoup de temps
Content aussi de reprendre pied parmi vous
L'ambiance est toujours aussi sympa

@+

Chris

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum